<?php
ini_set('display_errors',1);
ini_set('display_startup_erros',1);
error_reporting(E_ALL);


$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.openpix.com.br/api/v1/transaction/2672415CBAA04D8D8322E99D179279A4",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Q2xpZW50X0lkX2UzZTNhOTE5LThkZjUtNGNlMS1iNWQ5LWE5YzhhYjY1YzY0NzpDbGllbnRfU2VjcmV0X3NPbnd2ZG9FUGV0bTZhWnlLb0xmc0RoZmRuM0FNbm5ubWpaRUNUYURHMVk9"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}


?>